/* TMSNC - Textbased MSN Client
 * Copyright (C) 2004 The IR Developer Group
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the IR Public Domain License as published by
 *  the IR Group; either version 1.6 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the IR Public Domain License
 * along with this program; if not, write to sanoix@gmail.com
 */

#include "nls.h"

#define MAX_CONTACTS 400
#define NAME_LEN 130
#define ADDR_LEN 50

#define FL 1
#define AL 2
#define BL 4
#define RL 8
 
typedef struct _MSN_contact
{
  char addr[ADDR_LEN];
  char name[NAME_LEN];
  char custom_name[NAME_LEN];
  int status;
  int listnum;
} MSN_contact;

typedef struct _MSN_msgformat
{
  char font[15];
  char color[8];
  char effect;
} MSN_msgformat;

typedef struct _MSN_session
{ 
  int sd;
  char gtc;
  char blp;
  int num_contacts;
  int csc;
  MSN_contact me;
  MSN_contact contact[MAX_CONTACTS];
  MSN_msgformat format;
} MSN_session;

/* net.c */
int MSN_conversation_initiate(MSN_session *, char *, void (*cb)(int,void *));
int MSN_conversation_sendmsg(int, int, char *, MSN_session *);
int MSN_conversation_handle(int, int *, char *, int);
int MSN_conversation_call(int, int, char *);
int MSN_list2int(char *);
int MSN_block_contact(char *, MSN_session *, char *, int);
int MSN_unblock_contact(char *, MSN_session *, char *, int);
int MSN_add_contact(char *, MSN_session *, char *, int);
int MSN_remove_contact(char *, MSN_session *, char *, int);
void MSN_change_nick(char *, MSN_session *);
int MSN_server_handle(MSN_session *, char *, int);
char *MSN_status2str(int);
int MSN_status2int(char *);
int MSN_load_userlist(MSN_session *, void (*cb)(int,void *));
void MSN_logout(int);
int MSN_set_status(MSN_session *, char *);
int MSN_init_session(char *, int, MSN_session *, char *, void (*cb)(int,void *));
int tcp_connect(char *, int);

/* misc.c */
void MSN_init(MSN_session *);
int MSN_is_valid_address(char *);
char *MSN_url_encode(char *, char *, int);
char *MSN_url_decode(char *, char *, int);
void MSN_error2str(int, char *, int);
char *split(char *, char, int);
char *stringdup(char *);
int getline(char *, int, int);

/* ssl.c */
int https_auth(char *,int,char *,char *,char *,char *,char *,int, void (*cb)(int,void *));
